Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187665 - Class method select from completion list inside IF statement
Class method select from completion list inside IF statement
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Formatting & Indentation
6.x
PC Windows 7 x64
: P3 (vote)
: 7.0
Assigned To: Petr Pisl
issues@php
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 15:28 UTC by Sc0tTyXL
Modified: 2010-07-08 11:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sc0tTyXL 2010-06-16 15:28:29 UTC
Product Version = NetBeans IDE 6.9 (Build 201006101454)
Operating System = Windows Vista version 6.1 running on x86
Java; VM; Vendor = 1.6.0_10
Runtime = Java HotSpot(TM) Client VM 11.0-b15


Whenever i want to use a method of a class inside a if statement  i hit enter on selecting the method in the completion list, this happens :
            if ( $this->GetName(
                ))

instead of it being it normally on the same line.

I'm using Win7 x64 and Netbeans IDE 6.9 PHP only
Comment 1 Petr Pisl 2010-06-18 09:51:32 UTC
Reproducible. I'm going to fix it.
Comment 2 Petr Pisl 2010-06-18 12:56:16 UTC
Fixed in web-main. Should be available in dev build tomorrow or on Sunday. 

Marking also as a candidate for the patch release.
Comment 3 Filip Zamboj 2010-06-18 14:05:26 UTC
verified in web-main (on 173209:9e58677e160c)

can go to 6.9.1
Comment 4 Quality Engineering 2010-06-19 03:39:46 UTC
Integrated into 'main-golden', will be available in build *201006190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c3a944007576
User: Petr Pisl <ppisl@netbeans.org>
Log: #187665 -  Class method select from completion list inside IF statement
Comment 5 rbalada 2010-06-21 14:17:56 UTC
main #c3a944007576 transplanted to release691 #36835b76b41d
Comment 6 Jaromir Uhrik 2010-07-08 11:08:56 UTC
Verified in the following 6.9.1 build:
Product Version: NetBeans IDE 6.9.1 Dev (Build 201007062301)
Java: 1.6.0_20; Java HotSpot(TM) 64-Bit Server VM 16.3-b01-279
System: Mac OS X version 10.5.8 running on x86_64; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo